Subject: Re: bug#36828: 27.0.50; Uninstalled emacs shows installed documentation

From: Óscar Fuentes <[email-masked]>
Date: Sat, 26 Oct 2019 22:40:59 +0200

Eli Zaretskii <[email-masked]> writes:

>> I wonder why we assign Vdata_directory on init_callproc_1 to the
>> installed Emacs directory ("/usr/local/share/emacs/27.0.50/etc/" on
>> this case) when we are running a non-installed Emacs.
>
> I thought the comments there explained that?

It is not clear to me why assigning Vdata_directory must wait until
init_callproc when we are running a non-installed emacs. It looks like
all the required information is present.

Furthermore, the logic should be "first check if this is an
non-installed emacs; if false, locate the installed stuff" instead of
"first locate the installed stuff, then check if we are a non-installed
emacs and fix the vars we assigned previously."

> But we do have 'dir' in the source tree, it's in info/.

Right, thanks. So I must check why C-h i fetches the `dir' in the
installed info directory.